/*
 * $Id: CategorySettings.java,v 1.10 2006/02/27 16:16:20 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * $Log: CategorySettings.java,v $
 * Revision 1.10  2006/02/27 16:16:20  marbobo
 * + Systemsichten hinzugefügt
 * + SysLinks angepasst
 * + Benutzer können falls gewünscht Dokumentqueries anlegen
 *
 * Revision 1.9  2005/09/04 18:03:56  marbobo
 * + Neues Metadaten-Attribute (Erstellungsdatum) für Dokumente hinzugefügt
 *
 * Revision 1.8  2005/06/29 21:15:50  marbobo
 * + Clustern ist nun aktivierbar/deaktivierbar
 *
 * Revision 1.7  2005/01/07 08:57:51  jonyp
 * deleted listtitles property
 *
 * Revision 1.6  2004/10/07 13:31:44  jonyp
 * added feature markForbiddenCategories
 *
 * Revision 1.5  2004/07/20 08:51:21  jonyp
 * added copyright info + cvs log
 *
 */
package vkc.view.bean;

/**
 * This class represents a bean for configurational information of a category.
 */
public class CategorySettings {
	private boolean showCreationDate = false;
	private boolean countCatDocsEnabled = false;
	private boolean listAccessibleCategoriesOnly = false;
	private boolean showDisplayAscii = true;
	private boolean showClusterCategory = false;
	private boolean showDocumentStatus = false;
	private boolean showArchiveCategory = false;
	private boolean showDocumentClass = false;
	private boolean displayEmptyFoldersWithEmptyIcon = false;
	private Integer functionalViewRootId = null;
	private Integer projectManagementRootId = null;
	private Integer projectManagementTemplateId = null;
	private boolean markForbiddenCategories = false;
	private boolean projectManagementEnabled = false;
	
	public boolean getListAccessibleCategoriesOnly() {
		return listAccessibleCategoriesOnly;
	}

	public boolean getShowDisplayAscii() {
		return showDisplayAscii;
	}

	public void setListAccessibleCategoriesOnly(boolean b) {
		listAccessibleCategoriesOnly = b;
	}

	public void setShowDisplayAscii(boolean b) {
		showDisplayAscii = b;
	}

	public boolean getShowDocumentStatus() {
		return showDocumentStatus;
	}

	public void setShowDocumentStatus(boolean b) {
		showDocumentStatus = b;
	}

	public boolean isCountCatDocsEnabled() {
		return countCatDocsEnabled;
	}

	public boolean getShowArchiveCategory() {
		return showArchiveCategory;
	}

	public boolean getShowDocumentClass() {
		return showDocumentClass;
	}

	public void setCountCatDocsEnabled(boolean b) {
		countCatDocsEnabled = b;
	}

	public void setShowArchiveCategory(boolean b) {
		showArchiveCategory = b;
	}

	public void setShowDocumentClass(boolean b) {
		showDocumentClass = b;
	}

	public Integer getFunctionalViewRootId() {
		return functionalViewRootId;
	}

	public void setFunctionalViewRootId(Integer integer) {
		functionalViewRootId = integer;
	}

	public Integer getProjectManagementRootId() {
		return projectManagementRootId;
	}

	public void setProjectManagementRootId(Integer integer) {
		projectManagementRootId = integer;
	}

	public Integer getProjectManagementTemplateId() {
		return projectManagementTemplateId;
	}

	public void setProjectManagementTemplateId(Integer integer) {
		projectManagementTemplateId = integer;
	}

	public boolean getDisplayEmptyFoldersWithEmptyIcon() {
		return displayEmptyFoldersWithEmptyIcon;
	}

	public void setDisplayEmptyFoldersWithEmptyIcon(boolean b) {
		displayEmptyFoldersWithEmptyIcon = b;
	}

    public boolean getMarkForbiddenCategories() {
        return markForbiddenCategories;
    }

    public void setMarkForbiddenCategories(boolean markForbiddenCategories) {
        this.markForbiddenCategories = markForbiddenCategories;
    }
    
    public boolean isShowClusterCategory() {
        return showClusterCategory;
    }
    
    public void setShowClusterCategory(boolean showClusterCategory) {
        this.showClusterCategory = showClusterCategory;
    }

	public boolean isShowCreationDate() {
		return showCreationDate;
	}

	public void setShowCreationDate(boolean showCreationDate) {
		this.showCreationDate = showCreationDate;
	}

	public boolean isProjectManagementEnabled() {
		return projectManagementEnabled;
	}

	public void setProjectManagementEnabled(boolean projectManagementEnabled) {
		this.projectManagementEnabled = projectManagementEnabled;
	}
}